#!/usr/bin/env python3
#
# GlobalChem - Schedule Five
#
# -----------------------------------

class Pihkal(object):

    def __init__(self):

        self.name = 'pihkal'

    @staticmethod
    def get_smiles():

        smiles = {
            'alpha-Ethyl-3,4,5-trimethoxy-PEA': 'CCC(CC1=CC(=C(C(=C1)OC)OC)OC)N',
            '4-Allyloxy-3,5-dimethoxy-PEA': 'COC1=CC(=CC(=C1OCC=C)OC)CCN',
            '4-Methylthio-2,5-dimethoxy-A': 'CC(CC1=CC(=C(C=C1OC)SC)OC)N',
            '4-Ethylthio-2,5-dimethoxy-A': 'CCSC1=C(C=C(C(=C1)OC)CCN)OC',
            '4-Isopropylthio-2,5-dimethoxy-A': 'CC(C)Sc1cc(OC)c(cc1OC)CCN',
            '4-Phenylthio-2,5-dimethoxy-A': 'C1(=C(C=C(C(=C1)SC2=CC=CC=C2)OC)CC(C)N)OC',
            '4-Propylthio-2,5-dimethoxy-A': 'C1(=C(C=C(C(=C1)SCCC)OC)CC(C)N)OC',
            '2,5-Dimethoxy-alpha-ethyl-4-methyl-PEA': 'CCC(CC1=C(C=C(C(=C1)OC)C)OC)N',
            '3,4-Diethoxy-5-methoxy-PEA': 'O(c1c(OC)cc(cc1OCC)CCN)CC',
            '4-Butoxy-3,5-dimethoxy-PEA': 'COc1cc(cc(OC)c1OCCCC)CCN',
            '2,5-Dimethoxy-4,N-dimethyl-A': 'CC1=CC(=C(C=C1OC)CC(C)N)OC',
            '2,5-Bismethylthio-4-methyl-A': 'CSCSC',
            '4-Bromo-2,5,beta-trimethoxy-PEA': 'COc1cc(c(cc1Br)OC)C(CN)OC',
            '2,5,beta-Trimethoxy-4-methyl-PEA': 'COc1cc(C)c(cc1C(CN)OC)OC',
            'beta-Methoxy-3,4-methylenedioxy-PEA': 'NCC(OC)c1ccc2OCOc2c1',
            '2,5-Dimethoxy-beta-hydroxy-4-methyl-PEA': 'COc1cc(C)c(cc1C(O)CN)OC',
            '3,4,5,beta-Tetramethoxy-PEA': 'COc1c(cc(cc1OC)C(CN)OC)OC',
            '4-Bromo-3,5-dimethoxy-A': '',
            '2-Bromo-4,5-methylenedioxy-A': '',
            '4-Bromo-2,5-dimethoxy-PEA': '',
            '4-Benzyloxy-3,5-dimethoxy-A': '',
            '4-Chloro-2,5-dimethoxy-PEA': '',
            '4-Methyl-2,5-dimethoxy-PEA': '',
            '4-Ethyl-2,5-dimethoxy-PEA': '',
            '4-Ethoxy-3,5-dimethoxy-A': '',
            '4-Fluoro-2,5-dimethoxy-PEA': '',
            '3,4-Dimethyl-2,5-dimethoxy-PEA': '',
            '3,4-Trimethylene-2,5-dimethoxy-PEA': '',
            '3,4-Tetramethylene-2,5-dimethoxy-PEA': '',
            '3,4-Norbornyl-2,5-dimethoxy-PEA': '',
            '1,4-Dimethoxynaphthyl-2-ethylamine': '',
            '2,5-Dimethoxy-PEA': '',
            '4-Iodo-2,5-dimethoxy-PEA': '',
            '4-Nitro-2,5-dimethoxy-PEA': '',
            '4-Isopropoxy-2,5-dimethoxy-PEA': '',
            '4-Propyl-2,5-dimethoxy-PEA': '',
            '4-Cyclopropylmethoxy-3,5-dimethoxy-PEA': '',
            '4-Methylseleno-2,5-dimethoxy-PEA': '',
            '4-Methylthio-2,5-dimethoxy-PEA': '',
            '4-Ethylthio-2,5-dimethoxy-PEA': '',
            '4-Isopropylthio-2,5-dimethoxy-PEA': '',
            '4-Isopropylthio-2,6-dimethoxy-PEA': '',
            '4-Propylthio-2,5-dimethoxy-PEA': '',
            '4-Cyclopropylmethylthio-2,5-dimethoxy-PEA': '',
            '4-(t)-Butylthio-2,5-dimethoxy-PEA': '',
            '4-(2-Methoxyethylthio)-2,5-dimethoxy-PEA': '',
            '4-Cyclopropylthio-2,5-dimethoxy-PEA': '',
            '4-(s)-Butylthio-2,5-dimethoxy-PEA': '',
            '4-(2-Fluoroethylthio)-2,5-dimethoxy-PEA': '',
            '4-Trideuteromethyl-3,5-dimethoxy-PEA': '',
            'beta,beta-Dideutero-3,4,5-trimethoxy-PEA': '',
            '4-Methyl-3,5-Dimethoxy-PEA': '',
            '2,4-Dimethoxy-A': '',
            '2,5-Dimethoxy-A': '',
            '3,4-Dimethoxy-A': '',
            '2-(2,5-Dimethoxy-4-methylphenyl)-cyclopropylamine': '',
            '3,4-Dimethoxy-beta-hydroxy-PEA': '',
            '2,5-Dimethoxy-3,4-methylenedioxy-A': '',
            '2,3-Dimethoxy-4,5-methylenedioxy-A': '',
            '3,4-Dimethoxy-PEA': '',
            '4-Amyl-2,5-dimethoxy-A': '',
            '4-Bromo-2,5-dimethoxy-A': '',
            '4-Butyl-2,5-dimethoxy-A': '',
            '4-Chloro-2,5-dimethoxy-A': '',
            '4-(2-Fluoroethyl)-2,5-dimethoxy-A': '',
            '4-Ethyl-2,5-dimethoxy-A': '',
            '4-Iodo-2,5-dimethoxy-A': '',
            '4-Methyl-2,5-dimethoxy-A': '',
            '4-Methyl-2,6-dimethoxy-A': '',
            '4-Nitro-2,5-dimethoxy-A': '',
            '4-Propyl-2,5-dimethoxy-A': '',
            '4-Ethoxy-3,5-dimethoxy-PEA': '',
            '2,4,5-Triethoxy-A': '',
            '2,4-Diethoxy-5-methoxy-A': '',
            '2,5-Diethoxy-4-methoxy-A': '',
            '2-Ethoxy-4,5-dimethoxy-A': '',
            'N,alpha-diethyl-3,4-methylenedioxy-PEA': '',
            'N-Ethyl-alpha-propyl-3,4-methylenedioxy-PEA': '',
            'Benzofuran-2-methyl-5-methoxy-6-(2-aminopropane)': '',
            'Benzofuran-2,2-dimethyl-5-methoxy-6-(2-aminopropane)': '',
            'N-Hydroxy-N-methyl-3,4-methylenedioxy-A': '',
            '3,4-Trimethylene-2,5-dimethoxy-A': '',
            '3,4-Tetramethylene-2,5-dimethoxy-A': '',
            '3,4-Norbornyl-2,5-dimethoxy-A': '',
            '3,4-Dimethyl-2,5-dimethoxy-A': '',
            '1,4-Dimethoxynaphthyl-2-isopropylamine': '',
            '2,5-Dimethoxy-N-hydroxy-4-ethylthio-PEA': '',
            '2,5-Dimethoxy-N-hydroxy-4-(n)-propylthio-PEA': '',
            '2,5-Dimethoxy-N-hydroxy-4-(s)-butylthio-PEA': '',
            '2,5-Dimethoxy-N,N-dimethyl-4-iodo-A': '',
            '2,3,4-Trimethoxy-PEA': '',
            '3,5-Dimethoxy-4-isopropoxy-PEA': '',
            '5-Ethoxy-2-methoxy-4-methyl-A': '',
            'alpha-Ethyl-3,4-methylenedioxy-PEA': '',
            '3-Methoxy-4,5-methylenedioxy-PEA': '',
            '3,4,5-Trimethoxy-PEA': '',
            '4-Methoxy-A': '',
            '2,N-Dimethyl-4,5-methylenedioxy-A': '',
            '3,5-Dimethoxy-4-methallyloxy-PEA': '',
            '3,4-Methylenedioxy-A': '',
            'N-Allyl-3,4-methylenedioxy-A': '',
            'N-Butyl-3,4-methylenedioxy-A': '',
            'N-Benzyl-3,4-methylenedioxy-A': '',
            'N-Cyclopropylmethyl-3,4-methylenedioxy-A': '',
            'N,N-Dimethyl-3,4-methylenedioxy-A': '',
            'N-Ethyl-3,4-methylenedioxy-A': '',
            'N-(2-Hydroxyethyl)-3,4-methylenedioxy-A': '',
            'N-Isopropyl-3,4-methylenedioxy-A': '',
            'N-Methyl-3,4-methylenedioxy-A': '',
            'N-Methyl-3,4-ethylenedioxy-A': '',
            'N-Methoxy-3,4-methylenedioxy-A': '',
            'N-(2-Methoxyethyl)-3,4-methylenedioxy-A': '',
            'alpha,alpha,N-Trimethyl-3,4-methylenedioxy-PEA': '',
            'N-Hydroxy-3,4-methylenedioxy-A': '',
            '3,4-Methylenedioxy-PEA': '',
            'alpha,alpha-Dimethyl-3,4-methylenedioxy-PEA': '',
            'N-Propargyl-3,4-methylenedioxy-A': '',
            'N-Propyl-3,4-methylenedioxy-A': '',
            '3,4-Dimethoxy-5-ethoxy-PEA': '',
            '3-methoxy-4,5-Ethylenedioxy-A': '',
            '2-Methoxy-4,5-diethoxy-A': '',
            '2,5-Dimethoxy-4-ethoxy-A': '',
            '3-Methoxy-4-ethoxy-PEA': '',
            '5-Bromo-2,4-dimethoxy-A': '',
            '5-Methylthio-2,4-dimethoxy-A': '',
            'N-Methyl-2,5-dimethoxy-A': '',
            '4-Bromo-2,5-dimethoxy-N-methyl-A': '',
            'N-Methyl-alpha-ethyl-3,4-methylenedioxy-PEA': '',
            'N-Methyl-alpha-propyl-3,4-methylenedioxy-PEA': '',
            'N-Methyl-4-methoxy-A': '',
            'N-Methyl-2-methoxy-4,5-methylenedioxy-A': '',
            '3-Methoxy-4,5-methylenedioxy-A': '',
            '2-Methoxy-4,5-methylenedioxy-A': '',
            '2-Methoxy-3,4-methylenedioxy-A': '',
            '4-Methoxy-2,3-methylenedioxy-A': '',
            '2,4-Dimethoxy-5-ethoxy-A': '',
            '3,4-Dimethoxy-5-propoxy-PEA': '',
            '2,5-Dimethoxy-4-propoxy-A': '',
            '2-Methylthio-4,5-dimethoxy-A': '',
            '3,5-Dimethoxy-4-propoxy-PEA': '',
            '3,5-Dimethoxy-4-phenethyloxy-PEA': '',
            'PEA': '',
            '4-Propynyloxy-3,5-dimethoxy-PEA': '',
            '3,5-Diethoxy-4-methoxy-PEA': '',
            '2,3,4,5-Tetramethoxy-A': '',
            '4-Ethoxy-3-ethylthio-5-methoxy-PEA': '',
            '3-Ethoxy-4-ethylthio-5-methoxy-PEA': '',
            '3,4-Diethoxy-5-methylthio-PEA': '',
            '4-Thiobutoxy-3,5-dimethoxy-PEA': '',
            '4-Ethoxy-5-methoxy-3-methylthio-PEA': '',
            '3,5-Dimethoxy-4-ethylthio-PEA': '',
            '2-Methylthio-3,4-dimethoxy-PEA': '',
            '3-Methylthio-2,4-dimethoxy-PEA': '',
            '4-Methylthio-2,3-dimethoxy-PEA': '',
            '3-Methylthio-4,5-dimethoxy-PEA': '',
            '4-Methylthio-3,5-dimethoxy-PEA': '',
            '3,4,5-Trimethoxy-A': '',
            '2,4,5-Trimethoxy-A': '',
            '2,3,4-Trimethoxy-A': '',
            '2,3,5-Trimethoxy-A': '',
            '2,3,6-Trimethoxy-A': '',
            '2,4,6-Trimethoxy-A': '',
            '4,5-Dimethoxy-3-ethylthio-PEA': '',
            '3-Ethoxy-5-methoxy-4-methylthio-PEA': '',
            '3-Ethoxy-4-methoxy-5-methylthio-PEA': '',
            '2-Methylthio-3,4-methylenedioxy-A': '',
            '4,5-Thiomethyleneoxy-2-methoxy-A': '',
            '2,4,5-Trimethoxy-PEA': '',
            '4-Ethyl-5-methoxy-2-methylthio-A': '',
            '4-Ethyl-2-methoxy-5-methylthio-A': '',
            '5-Methoxy-4-methyl-2-methylthio-A': '',
            '2-Methoxy-4-methyl-5-methylthio-A': '',
            '2-Methoxy-4-methyl-5-methylsulfinyl-A': '',
            '4-Propylthio-3,5-dimethoxy-PEA': '',
            '3,4,5-Triethoxy-PEA': '',
            '3-Ethoxy-5-ethylthio-4-methoxy-PEA': '',
            '3,5-Diethoxy-4-methylthio-PEA': '',
            '4,5-Diethoxy-3-ethylthio-PEA': '',
            '3,5-Diethoxy-4-ethylthio-PEA': '',
        }

        return smiles

    @staticmethod
    def smarts():

        smarts = {

        }

        return smarts
